# UpgradeLicense

### Description

Upgrades a license by issuing a new license key and replacing the old one. You can upgrade the following data associated with a license:

* Features associated with a license
* The expiry date of the license
* Duration of the license
* Major and Minor version of the product

To call this function, you must set the enableUpgradeLicense server property to true.

To invoke this method via a URL, append this function's name to the URL of the QLM License Server and add the required arguments.

{% code overflow="wrap" %}

```http
https://yourserver/yourvirtualdirectory/qlmservice.asmx/UpgradeLicense?is_avkey=<activationKey>&is_productid=<productID>&is_majorversion=<majorVersion>&is_minorversion=<minorVersion>&is_vendor=digibuy&is_features=<features>&is_expduration=<duration>&is_expdate=<date>
```

{% endcode %}

### Arguments

| Parameter        | Description                                                                                                                                                                                                       |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| is\_avkey        | the current activation key                                                                                                                                                                                        |
| is\_expdate      | date at which the license will expire                                                                                                                                                                             |
| is\_expduration  | expiry duration of the license key                                                                                                                                                                                |
| is\_features     | semi comma separated list of feature sets and their corresponding values. Example: is\_features=0:3;1:1. This means that in feature set 0, features 1 + 2 are enabled and in feature set 1, feature 1 is enabled. |
| is\_productid    | ID of the product                                                                                                                                                                                                 |
| is\_majorversion | new major version of the product                                                                                                                                                                                  |
| is\_minorversion | new minor version of the product                                                                                                                                                                                  |
| is\_pwd          | password as defined in the eCommerce Providers section in QLM (Manage Keys / Tools / 3rd Party Extensions or Manage Keys / Tools / eCommerce Providers)                                                           |
| is\_qlmversion   | QLM engine version                                                                                                                                                                                                |
| is\_user         | username as defined in the eCommerce Providers section in QLM (Manage Keys / Tools / 3rd Party Extensions or Manage Keys / Tools / eCommerce Providers)                                                           |
| is\_vendor       | One of the supported vendors                                                                                                                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/http-methods/upgradelicense.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
